diff options
Diffstat (limited to 'test')
-rw-r--r-- | test/grofftest.sh | 22 |
1 files changed, 22 insertions, 0 deletions
diff --git a/test/grofftest.sh b/test/grofftest.sh new file mode 100644 index 000000000..2c559d21a --- /dev/null +++ b/test/grofftest.sh @@ -0,0 +1,22 @@ +#!/bin/bash + +# iterates over specified directory, containing "\w+\.\d"-like files, +# executes pandoc voer them and prints stderr on nonzero return code + +if [ $# -ne 2 ]; then + echo "Not enough arguments" + exit 1 +fi + +PANDOC=$1 +DIR=$2 + +$PANDOC --version > /dev/null || { echo "pandoc executable error" >&2 ; exit 1 ; } + +ls $2 | egrep "^.+\.[0-9]$" | while read f ; do + FILE="$DIR/$f" + $PANDOC -f man -t native < $FILE > /dev/null + if [ $? -ne 0 ]; then + echo "Failed to convert $FILE" + fi +done |